org.eclipse.gef.palette

## Class PaletteRoot

- java.lang.Object
- - org.eclipse.gef.palette.PaletteEntry
  - - org.eclipse.gef.palette.PaletteContainer
    - - org.eclipse.gef.palette.PaletteRoot

    public class PaletteRoot
    extends PaletteContainer

Serves as the root `PaletteEntry` for the palette model.

### Field Summary

Fields
`static java.lang.String` `PALETTE_TYPE_ROOT` Type Identifier

### Fields inherited from class org.eclipse.gef.palette.PaletteContainer

`children, PROPERTY_CHILDREN`

### Fields inherited from class org.eclipse.gef.palette.PaletteEntry

`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

### Constructor Summary

Constructors
Constructor and Description
`PaletteRoot()` Creates a new PaletteRoot.

### Method Summary

Methods
`boolean` `acceptsType(java.lang.Object type)` Returns true if this type can be a child of this container.
`ToolEntry` `getDefaultEntry()`
`void` `setDefaultEntry(ToolEntry entry)` Sets the default entry to the passed value.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.gef.palette.PaletteContainer

`add, add, addAll, appendToSection, getChildren, moveDown, moveUp, remove, setChildren`

### Methods inherited from class org.eclipse.gef.palette.PaletteEntry

`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PALETTE_TYPE_ROOT

    public static java.lang.String PALETTE_TYPE_ROOT

Type Identifier

### Constructor Detail

#### PaletteRoot

    public PaletteRoot()

Creates a new PaletteRoot.

### Method Detail

#### acceptsType

    public boolean acceptsType(java.lang.Object type)

Description copied from class: `PaletteContainer`
Returns true if this type can be a child of this container.

Overrides:
  `acceptsType` in class `PaletteContainer`
Parameters:
  `type` - the type being requested
Returns:
  true if this can be a child of this container
See Also:
  `PaletteContainer.acceptsType(java.lang.Object)`

#### getDefaultEntry

    public ToolEntry getDefaultEntry()

Returns:
  the default ToolEntry

#### setDefaultEntry

    public void setDefaultEntry(ToolEntry entry)

Sets the default entry to the passed value. This ToolEntry represents the tool that will be loaded by default.

Parameters:
  `entry` - the default entry

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `PaletteContainer`
See Also:
  `Object.toString()`